FLANG

Public Member Functions | Static Public Member Functions | List of all members
Fortran::runtime::io::ExternalFileUnit Class Reference
Inheritance diagram for Fortran::runtime::io::ExternalFileUnit:

## Public Member Functions
| ExternalFileUnit (int unitNumber)
int | unitNumber () const
void | OpenUnit (OpenStatus, Position, OwningPtr< char > &&path, std::size_t pathLength, IoErrorHandler &)
void | CloseUnit (CloseStatus, IoErrorHandler &)
void | DestroyClosed ()
bool | SetDirection (Direction, IoErrorHandler &)
template<typename A , typename... X>
IoStatementState & | BeginIoStatement (X &&... xs)
bool | Emit (const char *, std::size_t, IoErrorHandler &)
bool | Receive (char *, std::size_t, IoErrorHandler &)
std::optional< char32_t > | GetCurrentChar (IoErrorHandler &)
void | SetLeftTabLimit ()
void | BeginReadingRecord (IoErrorHandler &)
bool | AdvanceRecord (IoErrorHandler &)
void | BackspaceRecord (IoErrorHandler &)
void | FlushIfTerminal (IoErrorHandler &)
void | Endfile (IoErrorHandler &)
void | Rewind (IoErrorHandler &)
void | EndIoStatement ()
void | SetPosition (std::int64_t pos)
Public Member Functions inherited from Fortran::runtime::io::ConnectionState
bool | IsAtEOF () const
std::size_t | RemainingSpaceInRecord () const
void | HandleAbsolutePosition (std::int64_t)
void | HandleRelativePosition (std::int64_t)
void | BeginRecord ()
Public Member Functions inherited from Fortran::runtime::io::OpenFile
const char * | path () const
void | set_path (OwningPtr< char > &&, std::size_t bytes)
std::size_t | pathLength () const
bool | mayRead () const
void | set_mayRead (bool yes)
bool | mayWrite () const
void | set_mayWrite (bool yes)
bool | mayAsynchronous () const
void | set_mayAsynchronous (bool yes)
bool | mayPosition () const
void | set_mayPosition (bool yes)
FileOffset | position () const
bool | isTerminal () const
std::optional< FileOffset > | knownSize () const
bool | IsOpen () const
void | Open (OpenStatus, Position, IoErrorHandler &)
void | Predefine (int fd)
void | Close (CloseStatus, IoErrorHandler &)
std::size_t | Read (FileOffset, char *, std::size_t minBytes, std::size_t maxBytes, IoErrorHandler &)
std::size_t | Write (FileOffset, const char *, std::size_t, IoErrorHandler &)
void | Truncate (FileOffset, IoErrorHandler &)
int | ReadAsynchronously (FileOffset, char *, std::size_t, IoErrorHandler &)
int | WriteAsynchronously (FileOffset, const char *, std::size_t, IoErrorHandler &)
void | Wait (int id, IoErrorHandler &)
void | WaitAll (IoErrorHandler &)
Public Member Functions inherited from Fortran::runtime::io::FileFrame< ExternalFileUnit >
FileOffset | FrameAt () const
char * | Frame () const
std::size_t | FrameLength () const
std::size_t | BytesBufferedBeforeFrame () const
std::size_t | ReadFrame (FileOffset at, std::size_t bytes, IoErrorHandler &handler)
void | WriteFrame (FileOffset at, std::size_t bytes, IoErrorHandler &handler)
void | Flush (IoErrorHandler &handler)

## Static Public Member Functions
static ExternalFileUnit * | LookUp (int unit)
static ExternalFileUnit & | LookUpOrCrash (int unit, const Terminator &)
static ExternalFileUnit & | LookUpOrCreate (int unit, const Terminator &, bool &wasExtant)
static ExternalFileUnit & | LookUpOrCreateAnonymous (int unit, Direction, bool isUnformatted, const Terminator &)
static ExternalFileUnit & | CreateNew (int unit, const Terminator &)
static ExternalFileUnit * | LookUpForClose (int unit)
static int | NewUnit (const Terminator &)
static void | CloseAll (IoErrorHandler &)
static void | FlushAll (IoErrorHandler &)

## Additional Inherited Members
Public Types inherited from Fortran::runtime::io::OpenFile
using | FileOffset = std::int64_t
Public Types inherited from Fortran::runtime::io::FileFrame< ExternalFileUnit >
using | FileOffset = std::int64_t
Public Attributes inherited from Fortran::runtime::io::ConnectionState
std::int64_t | currentRecordNumber {1}
std::int64_t | positionInRecord {0}
std::int64_t | furthestPositionInRecord {0}
bool | nonAdvancing {false}
std::optional< std::int64_t > | leftTabLimit
std::optional< std::int64_t > | endfileRecordNumber
MutableModes | modes
Public Attributes inherited from Fortran::runtime::io::ConnectionAttributes
Access | access {Access::Sequential}
bool | isUnformatted {false}
bool | isUTF8 {false}
bool | isFixedRecordLength {false}
std::optional< std::int64_t > | recordLength

The documentation for this class was generated from the following files:

- runtime/unit.h
- runtime/unit.cpp